<?php $__env->startSection('title', translate('Add new delivery-man')); ?>

<?php $__env->startPush('css_or_js'); ?>

<?php $__env->stopPush(); ?>

<?php $__env->startSection('content'); ?>
    <div class="content container-fluid">
        <!-- Page Header -->
        <div class="d-flex flex-wrap gap-2 align-items-center mb-4">
            <h2 class="h1 mb-0 d-flex align-items-center gap-2">
                <img width="20" class="avatar-img" src="<?php echo e(asset('public/assets/admin/img/icons/deliveryman.png')); ?>" alt="">
                <span class="page-header-title">
                    <?php echo e(translate('add_New_Deliveryman')); ?>

                </span>
            </h2>
        </div>
        <!-- End Page Header -->


        <div class="row g-2">
            <div class="col-12">
                <form action="<?php echo e(route('admin.delivery-man.store')); ?>" method="post" enctype="multipart/form-data">
                    <?php echo csrf_field(); ?>
                    <div class="card">
                        <div class="card-header">
                            <h5 class="mb-0 d-flex align-items-center gap-2 mb-0">
                                <i class="tio-user"></i>
                                <?php echo e(translate('General_Information')); ?>

                            </h5>
                        </div>
                        <div class="card-body">
                            <div class="row">
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label class="input-label"><?php echo e(translate('first_Name')); ?></label>
                                        <input value="<?php echo e(old('f_name')); ?>" type="text" name="f_name" class="form-control" placeholder="<?php echo e(translate('first_Name')); ?>"
                                               required>
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label class="input-label"><?php echo e(translate('last_Name')); ?></label>
                                        <input value="<?php echo e(old('l_name')); ?>" type="text" name="l_name" class="form-control" placeholder="<?php echo e(translate('last_Name')); ?>" required>
                                    </div>
                                </div>
                                <div class="col-md-6">

                                    <div class="form-group">
                                        <label class="input-label"><?php echo e(translate('identity_Type')); ?></label>
                                        <select name="identity_type" class="form-control">
                                            <option value="passport"><?php echo e(translate('passport')); ?></option>
                                            <option value="driving_license"><?php echo e(translate('driving')); ?> <?php echo e(translate('license')); ?></option>
                                            <option value="nid"><?php echo e(translate('nid')); ?></option>
                                            <option value="restaurant_id"><?php echo e(translate('restaurant')); ?> <?php echo e(translate('id')); ?></option>
                                        </select>
                                    </div>

                                    <div class="form-group">
                                        <label class="input-label"><?php echo e(translate('identity_Number')); ?></label>
                                        <input value="<?php echo e(old('identity_number')); ?>" type="text" name="identity_number" class="form-control"
                                            placeholder="<?php echo e(translate('Ex : DH-23434-LS')); ?>"
                                            required>
                                    </div>

                                    <div class="form-group">
                                        <label class="input-label"><?php echo e(translate('identity_Image')); ?></label>
                                        <div>
                                            <div class="row" id="coba"></div>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label class="input-label"><?php echo e(translate('phone')); ?></label>
                                        <input value="<?php echo e(old('phone')); ?>" type="text" name="phone" class="form-control" placeholder="<?php echo e(translate('Ex : 017********')); ?>"
                                            required>
                                    </div>
                                    <div class="form-group">
                                        <label class="input-label"><?php echo e(translate('branch')); ?></label>
                                        <select name="branch_id" class="form-control">
                                            <option value="0"><?php echo e(translate('all')); ?></option>
                                            <?php $__currentLoopData = \App\Model\Branch::all(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $branch): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                <option value="<?php echo e($branch['id']); ?>"><?php echo e($branch['name']); ?></option>
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                        </select>
                                    </div>

                                    <div class="form-group">
                                        <label><?php echo e(translate('deliveryman_Image')); ?></label>
                                        <small class="text-danger">* ( <?php echo e(translate('ratio')); ?> 1:1 )</small>
                                        <div class="custom-file">
                                            <input type="file" name="image" id="customFileEg1" class="custom-file-input"
                                                accept=".jpg, .png, .jpeg, .gif, .bmp, .tif, .tiff|image/*" required>
                                            <label class="custom-file-label" for="customFileEg1"><?php echo e(translate('choose_File')); ?></label>
                                        </div>
                                        <center class="mt-3">
                                            <img class="upload-img-view" id="viewer"
                                                src="<?php echo e(asset('public/assets/admin/img/160x160/img1.jpg')); ?>" alt="delivery-man image"/>
                                        </center>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="card mt-3">
                        <div class="card-header">
                            <h5 class="mb-0 d-flex align-items-center gap-2 mb-0">
                                <i class="tio-user"></i>
                                <?php echo e(translate('Account_Information')); ?>

                            </h5>
                        </div>
                        <div class="card-body">
                            <div class="row g-2">
                                <div class="col-md-4 col-sm-6">
                                    <div class="form-group">
                                        <label class="input-label"><?php echo e(translate('email')); ?></label>
                                        <input value="<?php echo e(old('email')); ?>" type="email" name="email" class="form-control" placeholder="<?php echo e(translate('Ex : ex@example.com')); ?>"
                                            required>
                                    </div>
                                </div>
                                <div class="col-md-4 col-sm-6">
                                    <label class="input-label"><?php echo e(translate('password')); ?></label>
                                    <div class="input-group input-group-merge">
                                        <input type="password" class="form-control"
                                               name="password"  placeholder="<?php echo e(translate('Ex: 8+ Character')); ?>"
                                               aria-label="8+ characters required" required>
                                    </div>
                                </div>
                                <div class="col-md-4 col-sm-6">
                                    <div class="form-group">
                                        <label class="input-label"><?php echo e(translate('confirm_password')); ?></label>
                                        <div class="input-group input-group-merge">
                                            <input type="password" class="form-control"
                                                   name="confirm_password" placeholder="<?php echo e(translate('Ex: 8+ Character')); ?>"
                                                   aria-label="8+ characters required" required>
                                        </div>

                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="d-flex gap-3 justify-content-end mt-3">
                        <button type="reset" id="reset" class="btn btn-secondary"><?php echo e(translate('reset')); ?></button>
                        <button type="submit" class="btn btn-primary"><?php echo e(translate('submit')); ?></button>
                    </div>
                </form>
            </div>
        </div>
    </div>

<?php $__env->stopSection(); ?>

<?php $__env->startPush('script_2'); ?>
    <script>
        function readURL(input) {
            if (input.files && input.files[0]) {
                var reader = new FileReader();

                reader.onload = function (e) {
                    $('#viewer').attr('src', e.target.result);
                }

                reader.readAsDataURL(input.files[0]);
            }
        }

        $("#customFileEg1").change(function () {
            readURL(this);
        });
    </script>

    <script src="<?php echo e(asset('public/assets/admin/js/spartan-multi-image-picker.js')); ?>"></script>
    <script type="text/javascript">
        $(function () {
            $("#coba").spartanMultiImagePicker({
                fieldName: 'identity_image[]',
                maxCount: 5,
                rowHeight: '230px',
                groupClassName: 'col-6 col-lg-4',
                maxFileSize: '',
                placeholderImage: {
                    image: '<?php echo e(asset('public/assets/admin/img/400x400/img2.jpg')); ?>',
                    width: '100%'
                },
                dropFileLabel: "Drop Here",
                onAddRow: function (index, file) {

                },
                onRenderedPreview: function (index) {

                },
                onRemoveRow: function (index) {

                },
                onExtensionErr: function (index, file) {
                    toastr.error('<?php echo e(\App\CentralLogics\translate("Please only input png or jpg type file")); ?>', {
                        CloseButton: true,
                        ProgressBar: true
                    });
                },
                onSizeErr: function (index, file) {
                    toastr.error('<?php echo e(\App\CentralLogics\translate("File size too big")); ?>', {
                        CloseButton: true,
                        ProgressBar: true
                    });
                }
            });
        });
    </script>

    <script>
        // INITIALIZATION OF SHOW PASSWORD
        // =======================================================
        $('.js-toggle-password').each(function () {
            new HSTogglePassword(this).init()
        });
    </script>
<?php $__env->stopPush(); ?>

<?php echo $__env->make('layouts.admin.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/cocoeatz/manage.cocoeats.co.uk/resources/views/admin-views/delivery-man/index.blade.php ENDPATH**/ ?>