<?php $__env->startSection('title', translate('Order Details')); ?>

<?php $__env->startPush('css_or_js'); ?>

<?php $__env->stopPush(); ?>

<?php $__env->startSection('content'); ?>
    <div class="content container-fluid">
        <!-- Page Header -->
        <div class="d-flex flex-wrap gap-2 align-items-center mb-3">
            <h2 class="h1 mb-0 d-flex align-items-center gap-1">
                <img width="20" class="avatar-img" src="<?php echo e(asset('public/assets/admin/img/icons/order_details.png')); ?>" alt="">
                <span class="page-header-title">
                    <?php echo e(translate('Order_Details')); ?>

                </span>
            </h2>
            <span class="badge badge-soft-dark rounded-50 fz-14"><?php echo e($order->details->count()); ?></span>
        </div>
        <!-- End Page Header -->

        <div class="row" id="printableArea">
            <div class="col-lg-8 mb-3 mb-lg-0">
                <!-- Card -->
                <div class="card mb-3 mb-lg-5">
                    <!-- Header -->
                    <div class="px-card py-3">
                        <div class="row gy-2">
                            <div class="col-sm-6 d-flex flex-column justify-content-between">
                                <div>
                                    <h2 class="page-header-title h1 mb-3"><?php echo e(translate('order')); ?> #<?php echo e($order['id']); ?></h2>
                                    <h5 class="text-capitalize">
                                        <i class="tio-shop"></i>
                                        <?php echo e(translate('branch')); ?> :
                                        <label class="badge-soft-info px-2 rounded">
                                            <?php echo e($order->branch?$order->branch->name:'Branch deleted!'); ?>

                                        </label>
                                    </h5>

                                    <div class="mt-2 d-flex flex-column">
                                        <?php if($order['order_type'] == 'dine_in'): ?>
                                            <div class="hs-unfold">
                                                <h5 class="text-capitalize">
                                                    <i class="tio-table"></i>
                                                    <?php echo e(translate('table no')); ?> : <label
                                                        class="badge badge-secondary"><?php echo e($order->table?$order->table->number:'Table deleted!'); ?></label>
                                                </h5>
                                            </div>
                                            <?php if($order['number_of_people'] != null): ?>
                                                <div class="hs-unfold">
                                                    <h5 class="text-capitalize">
                                                        <i class="tio-user"></i>
                                                        <?php echo e(translate('number of people')); ?> : <label
                                                            class="badge badge-secondary"><?php echo e($order->number_of_people); ?></label>
                                                    </h5>
                                                </div>
                                            <?php endif; ?>
                                        <?php endif; ?>
                                    </div>
                                    <div class="">
                                        <?php echo e(translate('Order_Date_&_Time')); ?>: <i class="tio-date-range"></i><?php echo e(date('d M Y',strtotime($order['created_at']))); ?> <?php echo e(date(config('time_format'), strtotime($order['created_at']))); ?>

                                    </div>
                                </div>

                                <h5><?php echo e(translate('order')); ?> <?php echo e(translate('note')); ?> : <?php echo e($order['order_note']); ?></h5>
                            </div>
                            <div class="col-sm-6">
                                <div class="text-sm-right">
                                    <div class="d-flex flex-wrap gap-2 justify-content-sm-end">
                                        <?php if($order['order_type']!='take_away' && $order['order_type'] != 'pos' && $order['order_type'] != 'dine_in'): ?>

                                            <div class="hs-unfold ml-1">
                                                <?php if($order['order_status']=='out_for_delivery'): ?>
                                                    <?php ($origin=\App\Model\DeliveryHistory::where(['deliveryman_id'=>$order['delivery_man_id'],'order_id'=>$order['id']])->first()); ?>
                                                    <?php ($current=\App\Model\DeliveryHistory::where(['deliveryman_id'=>$order['delivery_man_id'],'order_id'=>$order['id']])->latest()->first()); ?>
                                                    <?php if(isset($origin)): ?>
                                                        <a class="btn btn-outline-primary" target="_blank"
                                                           title="<?php echo e(translate('Delivery Man Last Location')); ?>" data-toggle="tooltip" data-placement="top"
                                                           href="https://www.google.com/maps/dir/?api=1&origin=<?php echo e($origin['latitude']); ?>,<?php echo e($origin['longitude']); ?>&destination=<?php echo e($current['latitude']); ?>,<?php echo e($current['longitude']); ?>">
                                                            <i class="tio-map"></i> <?php echo e(translate('Show_Location_in_Map')); ?>

                                                        </a>
                                                    <?php else: ?>
                                                        <a class="btn btn-outline-primary" href="javascript:" data-toggle="tooltip"
                                                           data-placement="top" title="<?php echo e(translate('Waiting for location...')); ?>">
                                                            <i class="tio-map"></i> <?php echo e(translate('Show_Location_in_Map')); ?>

                                                        </a>
                                                    <?php endif; ?>
                                                <?php else: ?>
                                                    <a class="btn btn-outline-dark" href="javascript:" onclick="last_location_view()"
                                                       data-toggle="tooltip" data-placement="top"
                                                       title="<?php echo e(translate('Only available when order is out for delivery!')); ?>">
                                                        <i class="tio-map"></i> <?php echo e(translate('Show_Location_in_Map')); ?>

                                                    </a>
                                                <?php endif; ?>
                                            </div>
                                        <?php endif; ?>
                                        <a class="btn btn-info" href=<?php echo e(route('admin.orders.generate-invoice',[$order['id']])); ?>>
                                            <i class="tio-print"></i> <?php echo e(translate('Print_Invoice')); ?>

                                        </a>
                                    </div>

                                    <div class="d-flex gap-3 justify-content-sm-end my-3">
                                        <div class="text-dark font-weight-semibold"><?php echo e(translate('Status')); ?> :</div>
                                        <?php if($order['order_status']=='pending'): ?>
                                            <span class="badge-soft-info px-2 rounded text-capitalize"><?php echo e(translate('pending')); ?></span>
                                        <?php elseif($order['order_status']=='confirmed'): ?>
                                            <span class="badge-soft-info px-2 rounded text-capitalize"><?php echo e(translate('confirmed')); ?></span>
                                        <?php elseif($order['order_status']=='processing'): ?>
                                            <span class="badge-soft-warning px-2 rounded text-capitalize"><?php echo e(translate('processing')); ?></span>
                                        <?php elseif($order['order_status']=='out_for_delivery'): ?>
                                            <span class="badge-soft-warning px-2 rounded text-capitalize"><?php echo e(translate('out_for_delivery')); ?></span>
                                        <?php elseif($order['order_status']=='delivered'): ?>
                                            <span class="badge-soft-success px-2 rounded text-capitalize"><?php echo e(translate('delivered')); ?></span>
                                        <?php elseif($order['order_status']=='failed'): ?>
                                            <span class="badge-soft-danger px-2 rounded text-capitalize"><?php echo e(translate('failed_to_deliver')); ?></span>
                                        <?php else: ?>
                                            <span class="badge-soft-danger px-2 rounded text-capitalize"><?php echo e(str_replace('_',' ',$order['order_status'])); ?></span>
                                        <?php endif; ?>
                                    </div>


                                    <div class="text-capitalize d-flex gap-3 justify-content-sm-end mb-3">
                                        <span><?php echo e(translate('payment')); ?> <?php echo e(translate('method')); ?> :</span>
                                        <span class="text-dark"><?php echo e(str_replace('_',' ',$order['payment_method'])); ?></span>
                                    </div>


                                        <?php if($order['transaction_reference']==null && $order['order_type']!='pos'): ?>
                                        <div class="d-flex gap-3 justify-content-sm-end align-items-center mb-3">
                                            <?php echo e(translate('reference')); ?> <?php echo e(translate('code')); ?> :
                                            <button class="btn btn-outline-primary px-3 py-1" data-toggle="modal"
                                                    data-target=".bd-example-modal-sm">
                                                <?php echo e(translate('add')); ?>

                                            </button>
                                        </div>
                                        <?php elseif($order['order_type']!='pos'): ?>
                                        <div class="d-flex gap-3 justify-content-sm-end align-items-center mb-3">
                                            <?php echo e(translate('reference')); ?> <?php echo e(translate('code')); ?>

                                            : <?php echo e($order['transaction_reference']); ?>

                                        </div>
                                        <?php endif; ?>


                                    <div class="d-flex gap-3 justify-content-sm-end mb-3">
                                        <div><?php echo e(translate('Payment_Status')); ?> :</div>
                                        <?php if($order['payment_status']=='paid'): ?>
                                            <span class="badge-soft-success px-2 rounded text-capitalize"><?php echo e(translate('paid')); ?></span>
                                        <?php else: ?>
                                            <span class="badge-soft-danger px-2 rounded text-capitalize"><?php echo e(translate('unpaid')); ?></span>
                                        <?php endif; ?>
                                    </div>

                                    <div class="d-flex gap-3 justify-content-sm-end mb-3 text-capitalize">
                                        <?php echo e(translate('order')); ?> <?php echo e(translate('type')); ?>

                                        : <label class="badge-soft-info px-2 rounded">
                                            <?php echo e(str_replace('_',' ',$order['order_type'])); ?>

                                        </label>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <!-- End Header -->

                    <div class="py-4 table-responsive">
                        <table class="table table-hover table-borderless table-thead-bordered table-nowrap table-align-middle card-table">
                            <thead class="thead-light">
                            <tr>
                                <th><?php echo e(translate('SL')); ?></th>
                                <th><?php echo e(translate('Item Details')); ?></th>
                                <th><?php echo e(translate('Price')); ?></th>
                                <th><?php echo e(translate('Discount')); ?></th>
                                <th><?php echo e(translate('Tax')); ?></th>
                                <th class="text-right"><?php echo e(translate('Total_price')); ?></th>
                            </tr>
                            </thead>

                            <tbody>
                            <tr>
                            </tr>
                            <?php ($sub_total=0); ?>
                            <?php ($total_tax=0); ?>
                            <?php ($total_dis_on_pro=0); ?>
                            <?php ($add_ons_cost=0); ?>
                            <?php $__currentLoopData = $order->details; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $detail): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <?php ($product_details = json_decode($detail['product_details'], true)); ?>
                                <?php ($add_on_qtys=json_decode($detail['add_on_qtys'],true)); ?>

                                <tr>
                                    <td><?php echo e($loop->iteration); ?></td>
                                    <td>
                                        <div class="media gap-3 w-max-content">

                                            <img class="img-fluid avatar avatar-lg"
                                                 src="<?php echo e(asset('storage/app/public/product/')); ?>/<?php echo e($detail->product['image']); ?>"
                                                 onerror="this.src='<?php echo e(asset('public/assets/admin/img/160x160/img2.jpg')); ?>'"
                                                 alt="Image Description">

                                            <div class="media-body text-dark fz-12">
                                                <h6 class="text-capitalize"><?php echo e($detail->product['name']); ?></h6>

                                                <div class="d-flex gap-2">


























                                                    <?php if(isset($detail['variation'])): ?>
                                                        <?php $__currentLoopData = json_decode($detail['variation'],true); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $variation): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                            <?php if(isset($variation['name'])  && isset($variation['values'])): ?>
                                                                <span class="d-block text-capitalize">
                                                                <strong><?php echo e($variation['name']); ?> -</strong>
                                                            </span>
                                                                <?php $__currentLoopData = $variation['values']; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $value): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>

                                                                    <span class="d-block text-capitalize">
                                                                     <?php echo e($value['label']); ?> :
                                                                    <strong><?php echo e(\App\CentralLogics\Helpers::set_symbol( $value['optionPrice'])); ?></strong>
                                                                </span>
                                                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                            <?php else: ?>
                                                                <?php if(isset(json_decode($detail['variation'],true)[0])): ?>
                                                                    <strong><u> <?php echo e(translate('Variation')); ?> : </u></strong>
                                                                    <?php $__currentLoopData = json_decode($detail['variation'],true)[0]; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key1 =>$variation): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                                        <div class="font-size-sm text-body">
                                                                            <span><?php echo e($key1); ?> :  </span>
                                                                            <span class="font-weight-bold"><?php echo e($variation); ?></span>
                                                                        </div>
                                                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                                <?php endif; ?>
                                                            <?php endif; ?>
                                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                    <?php else: ?>
                                                        <div class="font-size-sm text-body">
                                                            <span class="text-dark"><?php echo e(translate('price')); ?>  : <?php echo e(\App\CentralLogics\Helpers::set_symbol($detail['price'])); ?></span>
                                                        </div>
                                                    <?php endif; ?>




                                                    <div class="d-flex gap-2">
                                                        <span class=""><?php echo e(translate('Qty')); ?> :  </span>
                                                        <span><?php echo e($detail['quantity']); ?></span>
                                                    </div>

                                                    <br>
                                                    <?php ($addon_ids = json_decode($detail['add_on_ids'],true)); ?>
                                                    <?php if($addon_ids): ?>
                                                    <span>
                                                        <u><strong><?php echo e(translate('addons')); ?></strong></u>
                                                        <?php $__currentLoopData = $addon_ids; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key2 =>$id): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                            <?php ($addon=\App\Model\AddOn::find($id)); ?>
                                                            <?php ($add_on_qtys==null? $add_on_qty=1 : $add_on_qty=$add_on_qtys[$key2]); ?>
                                                            <div class="font-size-sm text-body">
                                                                    <span><?php echo e($addon['name']); ?> :  </span>
                                                                    <span class="font-weight-semibold">
                                                                        <?php echo e($add_on_qty); ?> x <?php echo e(\App\CentralLogics\Helpers::set_symbol($addon['price'])); ?>

                                                                    </span>
                                                                </div>
                                                            <?php ($add_ons_cost+=$addon['price']*$add_on_qty); ?>
                                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                    </span>
                                                    <?php endif; ?>

                                                </div>





                                            </div>
                                        </div>
                                    </td>
                                    <td>
                                        <?php ($amount=$detail['price']*$detail['quantity']); ?>
                                        <?php echo e(\App\CentralLogics\Helpers::set_symbol($amount)); ?>

                                    </td>
                                    <td>
                                        <?php ($tot_discount = $detail['discount_on_product']*$detail['quantity']); ?>
                                        <?php echo e(\App\CentralLogics\Helpers::set_symbol($tot_discount)); ?>

                                    </td>
                                    <td>
                                        <?php ($product_tax = $detail['tax_amount']*$detail['quantity']); ?>
                                        <?php echo e(\App\CentralLogics\Helpers::set_symbol($product_tax)); ?>

                                    </td>
                                    <td class="text-right"><?php echo e(\App\CentralLogics\Helpers::set_symbol($amount-$tot_discount + $product_tax)); ?></td>
                                </tr>
                                <?php ($total_dis_on_pro += $tot_discount); ?>
                                <?php ($sub_total += $amount); ?>
                                <?php ($total_tax += $product_tax); ?>

                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </tbody>
                        </table>
                    </div>


                    <div class="card-body pt-0">
                        <hr>
                        <div class="row justify-content-md-end mb-3">
                            <div class="col-md-9 col-lg-8">
                                <dl class="row">
                                    <dt class="col-6">
                                        <div class="d-flex max-w220 ml-auto">
                                            <?php echo e(translate('items')); ?> <?php echo e(translate('price')); ?> <span>:</span>
                                        </div>
                                    </dt>
                                    <dd class="col-6 text-dark text-right"><?php echo e(\App\CentralLogics\Helpers::set_symbol($sub_total)); ?></dd>

                                    <dt class="col-6">
                                        <div class="d-flex max-w220 ml-auto">
                                            <span><?php echo e(translate('tax')); ?> / <?php echo e(translate('vat')); ?></span>
                                            <span>:</span>
                                        </div>
                                    </dt>
                                    <dd class="col-6 text-dark text-right"><?php echo e(\App\CentralLogics\Helpers::set_symbol($total_tax)); ?></dd>

                                    <dt class="col-6">

                                        <div class="d-flex max-w220 ml-auto">
                                            <span><?php echo e(translate('addon')); ?> <?php echo e(translate('cost')); ?></span>
                                            <span>:</span>
                                        </div>
                                    </dt>
                                    <dd class="col-6 text-dark text-right">
                                        <?php echo e(\App\CentralLogics\Helpers::set_symbol($add_ons_cost)); ?>

                                    </dd>

                                    <dt class="col-6">
                                        <div class="d-flex max-w220 ml-auto">
                                            <span><?php echo e(translate('item')); ?> <?php echo e(translate('discount')); ?></span>
                                            <span>:</span>
                                        </div>
                                    </dt>
                                    <dd class="col-6 text-dark text-right"><?php echo e(\App\CentralLogics\Helpers::set_symbol($total_dis_on_pro)); ?></dd>

                                    <dt class="col-6">
                                        <div class="d-flex max-w220 ml-auto">
                                            <span>
                                        <?php echo e(translate('subtotal')); ?></span>
                                            <span>:</span>
                                        </div>
                                    </dt>
                                    <dd class="col-6 text-dark text-right">
                                        <?php echo e(\App\CentralLogics\Helpers::set_symbol($sub_total =$sub_total+$total_tax+$add_ons_cost-$total_dis_on_pro)); ?></dd>

                                    <dt class="col-6">

                                        <div class="d-flex max-w220 ml-auto">
                                            <span><?php echo e(translate('coupon')); ?> <?php echo e(translate('discount')); ?></span>
                                            <span>:</span>
                                        </div>
                                    </dt>
                                    <dd class="col-6 text-dark text-right">
                                        - <?php echo e(\App\CentralLogics\Helpers::set_symbol($order['coupon_discount_amount'])); ?></dd>

                                    <dt class="col-6">
                                        <div class="d-flex max-w220 ml-auto">
                                            <span><?php echo e(translate('extra discount')); ?> </span>
                                        <span>:</span>
                                        </div>
                                    </dt>
                                    <dd class="col-6 text-dark text-right">
                                        - <?php echo e(\App\CentralLogics\Helpers::set_symbol($order['extra_discount'])); ?></dd>
                                    <dt class="col-6">
                                        <div class="d-flex max-w220 ml-auto">
                                            <span>
                                                <?php echo e(translate('delivery')); ?> <?php echo e(translate('fee')); ?></span>
                                            <span>:</span>
                                        </div>
                                    </dt>
                                    <dd class="col-6 text-dark text-right">
                                        <?php if($order['order_type']=='take_away'): ?>
                                            <?php ($del_c=0); ?>
                                        <?php else: ?>
                                            <?php ($del_c=$order['delivery_charge']); ?>
                                        <?php endif; ?>
                                        <?php echo e(\App\CentralLogics\Helpers::set_symbol($del_c)); ?>

                                    </dd>

                                    <dt class="col-6 border-top pt-2 fz-16 font-weight-bold">
                                        <div class="d-flex max-w220 ml-auto">
                                            <span><?php echo e(translate('total')); ?></span>
                                        <span>:</span>
                                        </div>
                                    </dt>
                                    
                                    <dd class="col-6 border-top pt-2 fz-16 font-weight-bold text-dark text-right"><?php echo e(\App\CentralLogics\Helpers::set_symbol($sub_total - $order['coupon_discount_amount'] - $order['extra_discount'] + $del_c)); ?></dd>
                                </dl>
                            </div>
                        </div>
                    </div>
                </div>
                <!-- End Card -->
            </div>


                <div class="col-lg-4">
                    <?php if($order['order_type'] != 'pos'): ?>
                    <div class="card mb-3">
                        <div class="card-body text-capitalize d-flex flex-column gap-4">
                            <h4 class="mb-0 text-center"><?php echo e(translate('Order_Setup')); ?></h4>
                            <?php if($order['order_type'] != 'pos'): ?>
                                <div class="">
                                    <label class="font-weight-bold text-dark fz-14"><?php echo e(translate('Change_Order_Status')); ?></label>
                                    <select name="order_status" onchange="route_alert('<?php echo e(route('admin.orders.status',['id'=>$order['id']])); ?>'+'&order_status='+ this.value,'<?php echo e(translate("Change the order status to ")); ?>'+  this.value.replace(/_/g, ' '))" class="status custom-select">
                                        <option value="confirmed" <?php echo e($order['order_status'] == 'confirmed'? 'selected' : ''); ?>> <?php echo e(translate('confirmed')); ?></option>
                                        <?php if($order['order_type'] != 'dine_in'): ?>
                                            <option value="pending" <?php echo e($order['order_status'] == 'pending'? 'selected' : ''); ?>> <?php echo e(translate('pending')); ?></option>
                                            <option value="processing" <?php echo e($order['order_status'] == 'processing'? 'selected' : ''); ?>> <?php echo e(translate('processing')); ?></option>
                                            <option value="out_for_delivery" <?php echo e($order['order_status'] == 'out_for_delivery'? 'selected' : ''); ?>><?php echo e(translate('Out_For_Delivery')); ?> </option>
                                            <option value="delivered" <?php echo e($order['order_status'] == 'delivered'? 'selected' : ''); ?>><?php echo e(translate('Delivered')); ?> </option><option value="returned" <?php echo e($order['order_status'] == 'returned'? 'selected' : ''); ?>> <?php echo e(translate('Returned')); ?></option>
                                            <option value="failed" <?php echo e($order['order_status'] == 'failed'? 'selected' : ''); ?>><?php echo e(translate('Failed_to_Deliver')); ?> </option>
                                        <?php else: ?>
                                            <option value="cooking" <?php echo e($order['order_status'] == 'cooking'? 'selected' : ''); ?>> <?php echo e(translate('cooking')); ?></option>
                                            <option value="completed" <?php echo e($order['order_status'] == 'completed'? 'selected' : ''); ?>> <?php echo e(translate('completed')); ?></option>
                                        <?php endif; ?>
                                            <option value="canceled" <?php echo e($order['order_status'] == 'canceled'? 'selected' : ''); ?>><?php echo e(translate('canceled')); ?> </option>
                                    </select>
                                </div>
                                <div class="">
                                    <div class="dropdown-menu" aria-labelledby="dropdownMenuButton">
                                        <a class="dropdown-item"
                                           onclick="route_alert('<?php echo e(route('admin.orders.payment-status',['id'=>$order['id'],'payment_status'=>'paid'])); ?>','<?php echo e(\App\CentralLogics\translate("Change status to paid ?")); ?>')"
                                           href="javascript:"><?php echo e(translate('paid')); ?></a>
                                        <a class="dropdown-item"
                                           onclick="route_alert('<?php echo e(route('admin.orders.payment-status',['id'=>$order['id'],'payment_status'=>'unpaid'])); ?>','<?php echo e(\App\CentralLogics\translate("Change status to unpaid ?")); ?>')"
                                           href="javascript:"><?php echo e(translate('unpaid')); ?></a>
                                    </div>
                                    <label class="font-weight-bold text-dark fz-14"><?php echo e(translate('Payment_Status')); ?></label>
                                    <select name="order_status" onchange="route_alert('<?php echo e(route('admin.orders.payment-status',['id'=>$order['id']])); ?>'+'&payment_status='+ this.value,'<?php echo e(\App\CentralLogics\translate("Change status to ")); ?>' + this.value)" class="status custom-select" data-id="100147">
                                        <option value="paid" <?php echo e($order['payment_status'] == 'paid'? 'selected' : ''); ?>> <?php echo e(translate('paid')); ?></option>
                                        <option value="unpaid" <?php echo e($order['payment_status'] == 'unpaid'? 'selected' : ''); ?>><?php echo e(translate('unpaid')); ?> </option>
                                    </select>
                                </div>
                            <?php endif; ?>
<?php if($order->customer): ?>
                            <div class="">

                                <label class="font-weight-bold text-dark fz-14"><?php echo e(translate('Delivery_Date_&_Time')); ?> <?php echo e($order['delivery_date'] > \Carbon\Carbon::now()->format('Y-m-d')? translate('(Scheduled)') : ''); ?></label>
                                <div class="d-flex gap-2 flex-wrap flex-xxl-nowrap">
                                    <input onchange="changeDeliveryTimeDate(this)" name="delivery_date" type="date" class="form-control" value="<?php echo e($order['delivery_date'] ?? ''); ?>">
                                    <input onchange="changeDeliveryTimeDate(this)" name="delivery_time" type="time" class="form-control" value="<?php echo e($order['delivery_time'] ?? ''); ?>">
                                </div>
                            </div>
                            <?php if($order['order_type']!='take_away' && $order['order_type'] != 'pos' && $order['order_type'] != 'dine_in' && !$order['delivery_man_id']): ?>

                                <a href="#" class="btn btn-primary btn-block d-flex gap-1 justify-content-center align-items-center" data-toggle="modal" data-target="#assignDeliveryMan">
                                    <img width="17" src="<?php echo e(asset('public/assets/admin/img/icons/assain_delivery_man.png')); ?>" alt="">
                                    <?php echo e(translate('Assign_Delivery_Man')); ?>

                                </a>
                            <?php endif; ?>
<?php endif; ?>
                            
                            <div class="">
                                <?php if($order['order_type'] != 'pos' && $order['order_type'] != 'take_away' && ($order['order_status'] != DELIVERED && $order['order_status'] != RETURNED && $order['order_status'] != CANCELED && $order['order_status'] != FAILED && $order['order_status'] != COMPLETED)): ?>
                                    <label class="font-weight-bold text-dark fz-14"><?php echo e(translate('Food_Preparation_Time')); ?></label>
                                    <div class="form-control justify-content-between">
                                        <span class="ml-2 ml-sm-3 ">
                                        <i class="tio-timer d-none" id="timer-icon"></i>
                                        <span id="counter" class="text-info"></span>
                                        <i class="tio-edit p-2 d-none" id="edit-icon" style="cursor: pointer;" data-toggle="modal" data-target="#counter-change" data-whatever="@mdo"></i>
                                        </span>
                                    </div>
                                <?php endif; ?>
                            </div>


                            <?php if($order->delivery_man_id): ?>
                                <div class="card mb-3">
                                    <div class="card-body">
                                        <h4 class="mb-4 d-flex gap-2">
                                    <span class="card-header-icon">
                                        <i class="tio-user text-dark"></i>
                                    </span>
                                            <span><?php echo e(translate('delivery_man')); ?></span>
                                            <a  href="#"  data-toggle="modal" data-target="#assignDeliveryMan"
                                                class="text--base cursor-pointer ml-auto">
                                                <?php echo e(translate('Change')); ?>

                                            </a>
                                        </h4>
                                        <div class="media flex-wrap gap-3">
                                            <a target="_blank" class="" href="<?php echo e(route('admin.customer.view',[$order->customer['id']])); ?>">
                                                <img class="avatar avatar-lg rounded-circle" src="<?php echo e(asset('storage/app/public/delivery-man/'.$order->delivery_man->image)); ?>" onerror="this.src='<?php echo e(asset('public/assets/admin/img/160x160/img1.jpg')); ?>'" alt="Image">
                                            </a>
                                            <div class="media-body d-flex flex-column gap-1">
                                                <a target="" href="#" class="text-dark"><span><?php echo e($order->delivery_man['f_name'].' '.$order->delivery_man['l_name'] ?? ''); ?></span></a>
                                                <span class="text-dark"> <span><?php echo e($order->delivery_man['orders_count']); ?></span> <?php echo e(translate('Orders')); ?></span>
                                                <span class="text-dark break-all">
                                            <i class="tio-call-talking-quiet mr-2"></i>
                                            <a href="tel:<?php echo e($order->delivery_man['phone']); ?>" class="text-dark"><?php echo e($order->delivery_man['phone'] ?? ''); ?></a>
                                        </span>
                                                <span class="text-dark break-all">
                                            <i class="tio-email mr-2"></i>
                                            <a href="mailto:<?php echo e($order->delivery_man['email']); ?>" class="text-dark"><?php echo e($order->delivery_man['email'] ?? ''); ?></a>
                                        </span>
                                            </div>
                                        </div>
                                        <hr class="w-100">
                                        <?php if($order['order_status']=='out_for_delivery'): ?>
                                            <div class="d-flex justify-content-between align-items-center">
                                                <h5><?php echo e(translate('Last_location')); ?></h5>
                                            </div>
                                            <?php ($origin=\App\Model\DeliveryHistory::where(['deliveryman_id'=>$order['delivery_man_id'],'order_id'=>$order['id']])->first()); ?>
                                            <?php ($current=\App\Model\DeliveryHistory::where(['deliveryman_id'=>$order['delivery_man_id'],'order_id'=>$order['id']])->latest()->first()); ?>
                                            <?php if(isset($origin)): ?>
                                                <a target="_blank" class="text-dark"
                                                   title="Delivery Boy Last Location" data-toggle="tooltip" data-placement="top"
                                                   href="http://maps.google.com/maps?z=12&t=m&q=loc:<?php echo e($current['latitude']); ?>+<?php echo e($current['longitude']); ?>">
                                                    <img width="13" src="<?php echo e(asset('public/assets/admin/img/icons/location.png')); ?>" alt="">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; <?php echo e($current['location']?? ''); ?>

                                                </a>
                                            <?php else: ?>
                                                <a href="javascript:" data-toggle="tooltip" class="text-dark"
                                                   data-placement="top" title="<?php echo e(translate('Waiting for location...')); ?>">
                                                    <img width="13" src="<?php echo e(asset('public/assets/admin/img/icons/location.png')); ?>" alt="">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; <?php echo e(translate('Waiting for location...')); ?>

                                                </a>
                                            <?php endif; ?>
                                        <?php else: ?>
                                            <a href="javascript:" onclick="last_location_view()" class="text-dark"
                                               data-toggle="tooltip" data-placement="top"
                                               title="<?php echo e(translate('Only available when order is out for delivery!')); ?>">
                                                <img width="13" src="<?php echo e(asset('public/assets/admin/img/icons/location.png')); ?>" alt="">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; <?php echo e(translate('Only available when order is out for delivery!')); ?>

                                            </a>
                                        <?php endif; ?>
                                    </div>
                                </div>
                            <?php endif; ?>

                            <?php if($order['order_type']!='take_away' && $order['order_type'] != 'pos' && $order['order_type'] != 'dine_in'): ?>
                            <div class="card">
                                <div class="card-body">

                                    <div class="mb-4 d-flex gap-2 justify-content-between">
                                        <h4 class="mb-0 d-flex gap-2">
                                            <i class="tio-user text-dark"></i>
                                            <?php echo e(translate('Delivery_Informatrion')); ?>

                                        </h4>

                                        <div class="edit-btn cursor-pointer" data-toggle="modal" data-target="#deliveryInfoModal">
                                            
                                            <i class="tio-edit"></i>
                                        </div>
                                    </div>
                                    <div class="delivery--information-single flex-column">
                                        <?php ($address=\App\Model\CustomerAddress::find($order['delivery_address_id'])); ?>
                                        
                                        <div class="d-flex">
                                            <div class="name"><?php echo e(translate('Name')); ?></div>
                                            <div class="info"><?php echo e($address? $address['contact_person_name']: ''); ?></div>
                                        </div>
                                        <div class="d-flex">
                                            <div class="name"><?php echo e(translate('Contact')); ?></div>
                                            <a href="tel:<?php echo e($address? $address['contact_person_number']: ''); ?>" class="info"><?php echo e($address? $address['contact_person_number']: ''); ?></a>
                                        </div>
                                        <div class="d-flex">
                                            <div class="name"><?php echo e(translate('floor')); ?></div>
                                            <div class="info"><?php echo e($address['floor'] ?? ''); ?></div>
                                        </div>
                                        <div class="d-flex">
                                            <div class="name"><?php echo e(translate('house')); ?></div>
                                            <div class="info"><?php echo e($address['house'] ?? ''); ?></div>
                                        </div>
                                        <div class="d-flex">
                                            <div class="name"><?php echo e(translate('road')); ?></div>
                                            <div class="info"><?php echo e($address['road'] ?? ''); ?></div>
                                        </div>
                                        <hr class="w-100">
                                        <div class="d-flex align-items-center gap-3">
                                            <?php if(isset($address['address']) && isset($address['latitude']) && isset($address['longitude'])): ?>
                                            <a target="_blank" class="text-dark"
                                               href="http://maps.google.com/maps?z=12&t=m&q=loc:<?php echo e($address['latitude']); ?>+<?php echo e($address['longitude']); ?>">
                                                <img width="13" src="<?php echo e(asset('public/assets/admin/img/icons/location.png')); ?>" alt="">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                                                <?php echo e($address['address']); ?>

                                            </a>
                                            <?php else: ?>
                                            <a target="_blank" class="text-dark"
                                               href="#">
                                                <img width="13" src="<?php echo e(asset('public/assets/admin/img/icons/location.png')); ?>" alt="">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                                                <?php echo e(translate('no_location_found')); ?>

                                            </a>
                                            <?php endif; ?>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <?php endif; ?>

                        </div>
                    </div>
                    <?php endif; ?>

 <?php if($order->customer): ?>
                    <div class="card mb-3">
                        <div class="card-body">
                            <h4 class="mb-4 d-flex gap-2">
                                <i class="tio-user text-dark"></i>
                                <?php echo e(\App\CentralLogics\translate('Customer Information')); ?>

                            </h4>
                            <div class="media flex-wrap gap-3">
                                <a target="_blank" class="" href="<?php echo e(route('admin.customer.view',[$order->customer['id']])); ?>">
                                    <img class="avatar avatar-lg rounded-circle" src="<?php echo e(asset('storage/app/public/profile/'.$order->customer['image'])); ?>" onerror="this.src='<?php echo e(asset('public/assets/admin/img/160x160/img1.jpg')); ?>'" alt="Image">
                                </a>
                                <div class="media-body d-flex flex-column gap-1">
                                    <a target="_blank" href="<?php echo e(route('admin.customer.view',[$order->customer['id']])); ?>" class="text-dark"><strong><?php echo e($order->customer['f_name'].' '.$order->customer['l_name']); ?></strong></a>
                                    <span class="text-dark"><?php echo e($order->customer['orders_count']); ?> <?php echo e(translate('Orders')); ?></span>
                                    <span class="text-dark">
                                        <i class="tio-call-talking-quiet mr-2"></i>
                                        <a class="text-dark break-all" href="tel:<?php echo e($order->customer['phone']); ?>"><?php echo e($order->customer['phone']); ?></a>
                                    </span>
                                    <span class="text-dark">
                                        <i class="tio-email mr-2"></i>
                                        <a class="text-dark break-all" href="mailto:<?php echo e($order->customer['email']); ?>"><?php echo e($order->customer['email']); ?></a>
                                    </span>
                                </div>
                            </div>
                        </div>
                    </div>
<?php else: ?>
                        <div class="card mb-3">
                            <div class="card-body">
                                <h4 class="mb-4 d-flex gap-2">
                                    <i class="tio-user text-dark"></i>
                                    <?php echo e(\App\CentralLogics\translate('Customer information')); ?>

                                </h4>
                                <div class="media flex-wrap gap-3 align-items-center">
                                    <a target="#" class="" >
                                        <img class="avatar avatar-lg rounded-circle" src="<?php echo e(asset('public/assets/admin/img/160x160/img1.jpg')); ?>" alt="Image">
                                    </a>
                                    <div class="media-body d-flex flex-column gap-1">
                                        <a target="#"  class="text-dark text-capitalize"><strong><?php echo e(translate('walking_customer')); ?></strong></a>
                                    </div>
                                </div>
                            </div>
                        </div>
<?php endif; ?>
                    <div class="card mb-3">
                        <div class="card-body">
                            <h4 class="mb-4 d-flex gap-2">
                                <i class="tio-user text-dark"></i>
                                <?php echo e(translate('Branch Information')); ?>

                            </h4>
                            <div class="media flex-wrap gap-3">
                                <div class="">
                                    <img class="avatar avatar-lg rounded-circle" src="<?php echo e(asset('storage/app/public/branch/'.$order->branch['image'])); ?>" onerror="this.src='<?php echo e(asset('public/assets/admin/img/160x160/img1.jpg')); ?>'" alt="Image">
                                </div>
                                <div class="media-body d-flex flex-column gap-1">
                                    <span class="text-dark"><span><?php echo e($order->branch['name']); ?></span></span>
                                    <span class="text-dark"> <span><?php echo e($order->branch['orders_count']); ?></span> <?php echo e(translate('Orders served')); ?></span>
                                    <?php if($order->branch['phone']): ?>
                                    <span class="text-dark break-all">
                                        <i class="tio-call-talking-quiet mr-2"></i>
                                        <a class="text-dark" href="tel:<?php echo e($order->branch['phone']); ?>"><?php echo e($order->branch['phone']); ?></a>
                                    </span>
                                    <?php endif; ?>
                                    <span class="text-dark break-all">
                                        <i class="tio-email mr-2"></i>
                                        <a class="text-dark" href="mailto:<?php echo e($order->branch['email']); ?>"><?php echo e($order->branch['email']); ?></a>
                                    </span>
                                </div>
                            </div>

                            <hr class="w-100">
                            <div class="d-flex align-items-center text-dark gap-3">
                                <img width="13" src="<?php echo e(asset('public/assets/admin/img/icons/location.png')); ?>" alt="">
                                <a target="_blank" class="text-dark"
                                    href="http://maps.google.com/maps?z=12&t=m&q=loc:<?php echo e($order->branch['latitude']); ?>+<?php echo e($order->branch['longitude']); ?>">
                                    <?php echo e($order->branch['address']); ?><br>
                                </a>
                            </div>
                        </div>
                    </div>

                </div>

        </div>
        <!-- End Row -->
    </div>

    <!-- Modal -->
    <div class="modal fade" id="assignDeliveryMan" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header">
                    <h4 class="modal-title fs-5" id="assignDeliveryManLabel"><?php echo e(translate('Assign_Delivery_Man')); ?></h4>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    <ul class="list-group">
                        <?php $__currentLoopData = \App\Model\DeliveryMan::where('is_active', 1)->get(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $deliveryMan): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <li class="list-group-item d-flex flex-wrap align-items-center gap-3 justify-content-between">
                                <div class="media align-items-center gap-2 flex-wrap">
                                    <div class="avatar">
                                        <img class="img-fit rounded-circle" loading="lazy" decoding="async"
                                         onerror="this.src='<?php echo e(asset('public/assets/admin/img/160x160/img1.jpg')); ?>'"
                                         src="<?php echo e(asset('/storage/app/public/delivery-man/'.$deliveryMan->image)); ?>" alt="Jhon Doe">
                                    </div>
                                    <span><?php echo e($deliveryMan['f_name'].' '.$deliveryMan['l_name']); ?></span>
                                </div>
                                <a id="<?php echo e($deliveryMan->id); ?>" onclick="addDeliveryMan(this.id)" class="btn btn-primary btn-sm"><?php echo e(translate('Assign')); ?></a>
                            </li>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

                    </ul>
                </div>
            </div>
        </div>
    </div>
    <!-- End Modal -->


    <!-- Modal -->
    <div class="modal fade bd-example-modal-sm" tabindex="-1" role="dialog" aria-labelledby="mySmallModalLabel"
         aria-hidden="true">
        <div class="modal-dialog modal-sm" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title h4"
                        id="mySmallModalLabel"><?php echo e(translate('reference')); ?> <?php echo e(translate('code')); ?> <?php echo e(translate('add')); ?></h5>
                    <button type="button" class="btn btn-xs btn-icon btn-ghost-secondary" data-dismiss="modal"
                            aria-label="Close">
                        <i class="tio-clear tio-lg"></i>
                    </button>
                </div>

                <form action="<?php echo e(route('admin.orders.add-payment-ref-code',[$order['id']])); ?>" method="post">
                    <?php echo csrf_field(); ?>
                    <div class="modal-body">
                        <!-- Input Group -->
                        <div class="form-group">
                            <input type="text" name="transaction_reference" class="form-control"
                                   placeholder="<?php echo e(translate('EX : Code123')); ?>" required>
                        </div>
                        <!-- End Input Group -->
                        <button class="btn btn-primary"><?php echo e(translate('submit')); ?></button>
                    </div>
                </form>

            </div>
        </div>
    </div>
    <!-- End Modal -->

    <!-- Modal -->
    <div class="modal fade" tabindex="-1" role="dialog" aria-labelledby="deliveryInfoModal" id="deliveryInfoModal"
         aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title h4" id="mySmallModalLabel"><?php echo e(translate('Update_Delivery_Informatrion')); ?></h5>
                    <button type="button" class="btn btn-xs btn-icon btn-ghost-secondary" data-dismiss="modal" aria-label="Close">
                        <i class="tio-clear tio-lg"></i>
                    </button>
                </div>
                <?php if($order['delivery_address_id']): ?>
                    <form action="<?php echo e(route('admin.orders.update-shipping',[$order['delivery_address_id']])); ?>" method="post">
                        <?php echo csrf_field(); ?>
                        <input type="hidden" name="user_id" value="<?php echo e($order->user_id); ?>">
                        <input type="hidden" name="order_id" value="<?php echo e($order->id); ?>">
                        <div class="modal-body">
                            <div class="form-group">
                                <label><?php echo e(translate('Type')); ?></label>
                                <input type="text" name="address_type" class="form-control"
                                       placeholder="<?php echo e(translate('EX : Home')); ?>" value="<?php echo e($address['address_type'] ?? ''); ?>" required>
                            </div>
                            <div class="form-group">
                                <label><?php echo e(translate('Name')); ?></label>
                                <input type="text" class="form-control" name="contact_person_name"
                                       placeholder="<?php echo e(translate('EX : Jhon Doe')); ?>" value="<?php echo e($address['contact_person_name'] ?? ''); ?>" required>
                            </div>
                            <div class="form-group">
                                <label><?php echo e(translate('Contact_Number')); ?></label>
                                <input type="text" class="form-control" name="contact_person_number"
                                       placeholder="<?php echo e(translate('EX : 01888888888')); ?>" value="<?php echo e($address['contact_person_number']?? ''); ?>" required>
                            </div>
                            <div class="form-group">
                                <label><?php echo e(translate('floor')); ?></label>
                                <input type="text" class="form-control" name="floor"
                                       placeholder="<?php echo e(translate('EX : 5')); ?>" value="<?php echo e($address['floor'] ?? ''); ?>" >
                            </div>
                            <div class="form-group">
                                <label><?php echo e(translate('house')); ?></label>
                                <input type="text" class="form-control" name="house"
                                       placeholder="<?php echo e(translate('EX : 21/B')); ?>" value="<?php echo e($address['house'] ?? ''); ?>" >
                            </div>
                            <div class="form-group">
                                <label><?php echo e(translate('road')); ?></label>
                                <input type="text" class="form-control" name="road"
                                       placeholder="<?php echo e(translate('EX : Baker Street')); ?>" value="<?php echo e($address['road'] ?? ''); ?>" >
                            </div>
                            <div class="form-group">
                                <label><?php echo e(translate('Address')); ?></label>
                                <input type="text" class="form-control" name="address"
                                       placeholder="<?php echo e(translate('EX : Dhaka,_Bangladesh')); ?>" value="<?php echo e($address['address'] ?? ''); ?>" required>
                            </div>
                            <div class="form-group">
                                <label><?php echo e(translate('latitude')); ?></label>
                                <input type="text" class="form-control" name="latitude"
                                       placeholder="<?php echo e(translate('EX : 23.796584198263794')); ?>" value="<?php echo e($address['latitude'] ?? ''); ?>" required>
                            </div>
                            <div class="form-group">
                                <label><?php echo e(translate('longitude')); ?></label>
                                <input type="text" class="form-control" name="longitude"
                                       placeholder="<?php echo e(translate('EX : 23.796584198263794')); ?>" value="<?php echo e($address['longitude'] ?? ''); ?>" required>
                            </div>

                            <div class="d-flex justify-content-end">
                                <button class="btn btn-primary"><?php echo e(translate('submit')); ?></button>
                            </div>
                        </div>
                    </form>
                <?php endif; ?>

            </div>
        </div>
    </div>
    <!-- End Modal -->

    <!-- Modal -->
    <?php if($order['order_type'] != 'pos' && $order['order_type'] != 'take_away' && ($order['order_status'] != DELIVERED && $order['order_status'] != RETURNED && $order['order_status'] != CANCELED && $order['order_status'] != FAILED && $order['order_status'] != COMPLETED)): ?>
        <div class="modal fade" id="counter-change" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
            <div class="modal-dialog modal-sm" role="document">
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title" id="exampleModalLabel" style="font-size: 20px"><?php echo e(translate('Need time to prepare the food')); ?></h5>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                        </button>
                    </div>
                    <form action="<?php echo e(route('admin.orders.increase-preparation-time', ['id' => $order->id])); ?>" method="post">
                        <?php echo csrf_field(); ?>
                        <div class="modal-body">
                            <div class="form-group text-center">
                                <input type="number" min="0" name="extra_minute" id="extra_minute" class="form-control" placeholder="<?php echo e(translate('EX : 20')); ?>" required>
                            </div>

                            <div class="form-group flex-between">
                                <div class="badge text-info shadow" onclick="predefined_time_input(10)" style="cursor: pointer"><?php echo e(translate('10min')); ?></div>
                                <div class="badge text-info shadow" onclick="predefined_time_input(20)" style="cursor: pointer"><?php echo e(translate('20min')); ?></div>
                                <div class="badge text-info shadow" onclick="predefined_time_input(30)" style="cursor: pointer"><?php echo e(translate('30min')); ?></div>
                                <div class="badge text-info shadow" onclick="predefined_time_input(40)" style="cursor: pointer"><?php echo e(translate('40min')); ?></div>
                                <div class="badge text-info shadow" onclick="predefined_time_input(50)" style="cursor: pointer"><?php echo e(translate('50min')); ?></div>
                                <div class="badge text-info shadow" onclick="predefined_time_input(60)" style="cursor: pointer"><?php echo e(translate('60min')); ?></div>
                            </div>
                        </div>
                        <div class="modal-footer">
                            <button type="button" class="btn btn-secondary" data-dismiss="modal"><?php echo e(translate('Close')); ?></button>
                            <button type="submit" class="btn btn-primary"><?php echo e(translate('Submit')); ?></button>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    <?php endif; ?>
    <!-- End Modal -->
<?php $__env->stopSection(); ?>

<?php $__env->startPush('script_2'); ?>
    <script>
        function addDeliveryMan(id) {
            $.ajax({
                type: "GET",
                url: '<?php echo e(url('/')); ?>/admin/orders/add-delivery-man/<?php echo e($order['id']); ?>/' + id,
                data: $('#product_form').serialize(),
                success: function (data) {
                    if(data.status == true) {
                        toastr.success('<?php echo e(\App\CentralLogics\translate("Delivery man successfully assigned/changed")); ?>', {
                            CloseButton: true,
                            ProgressBar: true
                        });
                        setTimeout(function () {
                            location.reload();
                        }, 2000)
                    }else{
                        toastr.error('<?php echo e(\App\CentralLogics\translate("Deliveryman man can not assign/change in that status")); ?>', {
                            CloseButton: true,
                            ProgressBar: true
                        });
                    }
                },
                error: function () {
                    toastr.error('<?php echo e(\App\CentralLogics\translate("Add valid data")); ?>', {
                        CloseButton: true,
                        ProgressBar: true
                    });
                }
            });
        }

        function last_location_view() {
            toastr.warning('<?php echo e(\App\CentralLogics\translate("Only available when order is out for delivery!")); ?>', {
                CloseButton: true,
                ProgressBar: true
            });
        }
    </script>

    <script>
        function predefined_time_input(min) {
            document.getElementById("extra_minute").value = min;
        }
    </script>
    <?php if($order['order_type'] != 'pos' && $order['order_type'] != 'take_away' && ($order['order_status'] != DELIVERED && $order['order_status'] != RETURNED && $order['order_status'] != CANCELED && $order['order_status'] != FAILED && $order['order_status'] != COMPLETED)): ?>
        <script>
            const expire_time = "<?php echo e($order['remaining_time']); ?>";
            var countDownDate = new Date(expire_time).getTime();
            const time_zone = "<?php echo e(\App\CentralLogics\Helpers::get_business_settings('time_zone') ?? 'UTC'); ?>";

            var x = setInterval(function() {
                var now = new Date(new Date().toLocaleString("en-US", {timeZone: time_zone})).getTime();

                var distance = countDownDate - now;

                var days = Math.trunc(distance / (1000 * 60 * 60 * 24));
                var hours = Math.trunc((distance % (1000 * 60 * 60 * 24)) / (1000 * 60 * 60));
                var minutes = Math.trunc((distance % (1000 * 60 * 60)) / (1000 * 60));
                var seconds = Math.trunc((distance % (1000 * 60)) / 1000);


                document.getElementById("timer-icon").classList.remove("d-none");
                document.getElementById("edit-icon").classList.remove("d-none");
                $text = (distance < 0) ? "<?php echo e(translate('over')); ?>" : "<?php echo e(translate('left')); ?>";
                document.getElementById("counter").innerHTML = Math.abs(days) + "d " + Math.abs(hours) + "h " + Math.abs(minutes) + "m " + Math.abs(seconds) + "s " + $text;
                if (distance < 0) {
                    var element = document.getElementById('counter');
                    element.classList.add('text-danger');
                }
            }, 1000);
        </script>
    <?php endif; ?>

    <script>
        function changeDeliveryTimeDate(t) {
            let name = t.name
            let value = t.value
            $.ajax({
                type: "GET",
                url: '<?php echo e(url('/')); ?>/admin/orders/ajax-change-delivery-time-date/<?php echo e($order['id']); ?>?' + t.name + '=' + t.value,
                data: {
                    name : name,
                    value : value
                },
                success: function (data) {
                    console.log(data)
                    if(data.status == true && name == 'delivery_date') {
                        toastr.success('<?php echo e(\App\CentralLogics\translate("Delivery date changed successfully")); ?>', {
                            CloseButton: true,
                            ProgressBar: true
                        });
                    }else if(data.status == true && name == 'delivery_time'){
                        toastr.success('<?php echo e(\App\CentralLogics\translate("Delivery time changed successfully")); ?>', {
                            CloseButton: true,
                            ProgressBar: true
                        });
                    }else {
                        toastr.error('<?php echo e(\App\CentralLogics\translate("Order No is not valid")); ?>', {
                            CloseButton: true,
                            ProgressBar: true
                        });
                    }
                    location.reload();
                },
                error: function () {
                    toastr.error('<?php echo e(\App\CentralLogics\translate("Add valid data")); ?>', {
                        CloseButton: true,
                        ProgressBar: true
                    });
                },
            });
        }
    </script>

<?php $__env->stopPush(); ?>

<?php echo $__env->make('layouts.admin.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/cocoeatz/manage.cocoeats.co.uk/resources/views/admin-views/order/order-view.blade.php ENDPATH**/ ?>